#ifndef __KYLIN_AI_VISION_ERROR_H__
#define __KYLIN_AI_VISION_ERROR_H__

#include <kylin-ai/common/error.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
    AISDK_COMMON_ERROR_CODE,           // 通用错误码
    VISION_INPUT_TEXT_LENGTH_INVAILD,  // 文生图输入文本过长
    VISION_IMAGE_STYLE_INVAILD,        // 不支持的风格
    VISION_IMAGE_SIZE_INVAILD,         // 不支持的大小
    VISION_IMAGE_NUMBER_INVAILD,       // 不支持的图片数量
    VISION_IMAGE_GENERATION_BLOCKED,   // 图片未过审
    VISION_IMAGE_GENERATION_FAILED,    // 生成图片失败
} GenAiVisionErrorCode;

#ifdef __cplusplus
}
#endif

#endif
