#ifndef __KYLIN_AI_IMAGE_CONFIG_H__
#define __KYLIN_AI_IMAGE_CONFIG_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ImageSize {
    int width;
    int height;
} ImageSize;

typedef struct _ImageConfig ImageConfig;

ImageConfig *image_config_create();
void image_config_destroy(ImageConfig **config);

void image_config_set_generation_number(ImageConfig *config, int number);
void image_config_set_style(ImageConfig *config, const char *style);
void image_config_set_size(ImageConfig *config, ImageSize image_size);

#ifdef __cplusplus
}
#endif

#endif
